Home

# Class goog.ui.equation.TexPane

User interface for TeX equation editor tab pane.

extends goog.ui.equation.EditorPane

Instance Method Summary
| `createDom()` Creates the initial DOM representation for the component. The default implementation is to set this.element_ = div.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `enterDocument()` Called when the component's element is known to be in the document. Anything using document.getElementById etc. should be done at this stage. If the component contains child components, this call is propagated to its children.
| `focusTexEdit_()` Sets the focus to the TeX edit box.
| `getEquation() ⇒ string`
| `handleEquationChange_()` Handles input change within the TeX textarea.
| `handlePaletteAction_(?goog.ui.equation.PaletteEvent e)` Handles an action generated by a palette click.
| `handleTexChangeTimer_(number seq)` Handles a timer timeout on delayed text change redraw.
| `handleTexChange_(?goog.events.Event e)` Handles a change to the equation text. Queues a request to handle input change within the TeX textarea. Refreshing the image is done only after a short timeout, to combine fast typing events into one draw.
| `insert_(string text)` Inserts text into the equation at the current cursor position. Moves the cursor to after the inserted text.
| `setEquation(string equation)` Sets the equation to show in this tab pane.
| `setVisible(boolean visible)` Sets the visibility of this tab pane.